package th.co.ais.ssbsrfc.config;



public class Constant {

	/*
	 * [mSSB-SRFC] [Send|Received] [Bad] <CommandName> [Response|Request] [Timeout|Abort|Reject|Error]
	 */
	
	public static final int TYPE_SEND = 0;
	public static final int TYPE_RECEIVE = 1;
	
	public static final int TYPE_RESPONSE = 2;
	public static final int TYPE_REQUEST = 3;
	public static final int TYPE_NOREPLY = 88;
	
	public static final int TYPE_MISSING = 4;
	public static final int TYPE_INVALID = 5;
	
	public static final int TYPE_TIMEOUT = 6;
	public static final int TYPE_ABORT = 7;
	public static final int TYPE_REJECT = 8;
	public static final int TYPE_ERROR = 9;
	
	
	public static final int TYPE_SUCCESS = 10;
	public static final int TYPE_UNKNOWN_ERROR = 12;
	public static final int TYPE_MENU_UNIQUELDENTIFIER_DUPLICATE = 100;
	public static final int TYPE_CHANNEL = 101;
	
	
	public static final int TYPE_DATA_NOT_FOUND = 11;
	public static final int TYPE_SUCCESS_WITH_CONDITION = 13;
	public static final int TYPE_SUCCESS_WITH_CONDITION_STATUS_CHANGE = 14;
	public static final int TYPE_REJECT_APPLICATION = 15;
	public static final int TYPE_SUCCESS_WITH_CONDITION_STATUS_TERMINATED = 16;
	public static final int TYPE_SUCCESS_WITH_CONDITION_STATUS_BORROWED = 17;
	public static final int TYPE_SUCCESS_WITH_CONDITION_OUTSTANDING_NOT_ZERO = 18;
	public static final int TYPE_SUCCESS_WITH_CONDITION_NOT_IN_SEVEN_DAYS = 19;
	public static final int TYPE_USER_INACTIVE = 20;
	public static final int TYPE_INVALID_CONTRACT_ID = 21;
	public static final int TYPE_ACCESS_DENIED = 22;
	public static final int TYPE_FILE_NOT_FOUND = 23;
	public static final int TYPE_ALREADY_SENT_INVITATION = 24;
	public static final int TYPE_ALREADY_SENT_ADD_BALANCE = 25;
	public static final int TYPE_DATA_EXISTED = 26;
	public static final int TYPE_DUPLICATE = 99;
	
	public static final String SEND = "Send";
	public static final String RECEIVE = "Receive";
	
	public static final String BAD = "Bad";
	public static final String DUPLICATE = "Duplicate";
	
	public static final String RESPONSE = "Response";
	public static final String REQUEST = "Request";
	
	public static final String TIMEOUT = "Timeout";
	public static final String ABORT = "Abort";
	public static final String REJECT = "Reject";
	public static final String ERROR = "Error";
	
	public static final String ENCRYPTKEY = "82BDZsTKxvTJb9Bm";
	
	public static final int FLOW_TEST_A = 1;
	public static final int FLOW_Unexpected_Event_Handling = 19;
	
	public static final int SUBSTATE_TYPE_W_REQUEST = 1;
	public static final int SUBSTATE_TYPE_W_RESPONSE = 2;
	public static final int SUBSTATE_TYPE_W_E01 = 3;
	public static final int SUBSTATE_TYPE_UNKNOWN = -1;
	
	public static String nodeLBSRFP = "LBSRFP";
	public static String nodeE01 = "E01";
	public static String nodeES12 = "ES12";
	
	public static final int[] arrSingleFlow = {/*Constant.FLOW_Loan_Potential_Jobs_Tracking, Constant.FLOW_TEST_A, Constant.FLOW_Loan_Potential_Request_Handling, Constant.FLOW_Loan_UI, Constant.FLOW_Loan_Activation, Constant.FLOW_Loan_Customer_Registration*/};
	
	public static enum DETAILLOG {
		CLOSE(0),
		OPENERROR(1),
		OPEN(2),
		;
		
		int num = 0;
		DETAILLOG(int message){
			this.num = message;
		}
		public int get(){
			return this.num;
		}
		
	}
	
	public static enum ValidateType {
		STRING,
		NUMBER,
		CURRENCY,
		MOBILE,
		DATETIME,
		BOOLEAN,
		BOOLEANUPPERCASE,
		FIX,
//		LANG,
		YESNO,
		DECIMAL,
		OBJECT,
		ARRAY,
//		SUBSCRIPTIONSTATE,
//		AEMFCHARACTERISTIC,
//		AEMFVALUETYPE,
//		AEMFALERTPOINT,
//		AMFLOANSTATE,
		URL,
		EMAIL,
//		DS3CUSTOMERCATEGORY,
//		DS3CUSTOMERSUBCATEGORY,
//		DS3CUSTOMERSEGMENT,
//		AEMFACHIEVE,
//		AEMFSTATUS,
//		AEMFSTATUS2,
//		ARMEDPARAM,
//		SDFGUPDATASERVLIFESTYLE,
//		SDFGUPAUTHENLEVEL,
//		MOBILESTATUS,
//		LANGUPPER,
//		DAAERRORCODE,
		NOTCHECKINVALID,
		TOROSUBSCRIPTIONIDTYPE,
		BEARERTYPE,
		OutbandChannel,
		REESULTCODE,
		WAITRESULTINDICATOR,
		OUTBANDCHANNELOTP,
		TOROLANGUAGEPREFERENCE,
		INBANDINDICATOR
	}
	
	public static enum Parameter {
		MANDATORY,
		OPTIONAL
	}
}
