package th.co.ais.ssbsrfc.config;

public class State {
	public String name;
	public String eventType;
	public String nameReq;	//Log, Alarm, Stat, Error
	public String nameRes;	//Log, Alarm, Stat, Error
	public int msgType;
	public int flow = -1;
	
	public State(String _stateName, String _stateEventType, String _stateLASEName)
	{
		this.name = _stateName;
		this.eventType = _stateEventType;
		this.nameReq = _stateLASEName;
	}
	
	public State(String _stateName, String _stateEventType, String _nameReq, String _nameRes, int _msgType)
	{
		this.name = _stateName;
		this.eventType = _stateEventType;
		this.nameReq = _nameReq;
		this.nameRes = _nameRes;
		this.msgType = _msgType;
	}
	
	public State(String _stateName, String _stateEventType, String _nameReq, String _nameRes, int _msgType, int flow)
	{
		this.name = _stateName;
		this.eventType = _stateEventType;
		this.nameReq = _nameReq;
		this.nameRes = _nameRes;
		this.msgType = _msgType;
		this.flow = flow;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEventType() {
		return eventType;
	}

	public void setEventType(String eventType) {
		this.eventType = eventType;
	}

	public String getLASEName() {
		return nameReq;
	}

	public void setLASEName(String lASEName) {
		nameReq = lASEName;
	}

	public int getMsgType() {
		return msgType;
	}

	public void setMsgType(int msgType) {
		this.msgType = msgType;
	}
}
