package th.co.ais.ssbsrfc.instance;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


@XmlType (propOrder={"version","businessCode","messageSeq","ownershipInfo","accessSecurity","accessMode"})
public class RequestHeader {

	private String Version;
	private String BusinessCode;
	private String MessageSeq;
	private OwnershipInfo ownershipInfo;
	private AccessSecurity accessSecurity;
	private String AccessMode;
	
	@XmlElement(name="Version",namespace="http://www.huawei.com/bme/cbsinterface/cbscommon")
	public String getVersion() {
		return Version;
	}
	public void setVersion(String version) {
		Version = version;
	}
	@XmlElement(name="AccessSecurity",namespace="http://www.huawei.com/bme/cbsinterface/cbscommon")
	public AccessSecurity getAccessSecurity() {
		return accessSecurity;
	}
	public void setAccessSecurity(AccessSecurity accessSecurity) {
		this.accessSecurity = accessSecurity;
	}
	@XmlElement(name="AccessMode",namespace="http://www.huawei.com/bme/cbsinterface/cbscommon")
	public String getAccessMode() {
		return AccessMode;
	}
	public void setAccessMode(String accessMode) {
		AccessMode = accessMode;
	}
	@XmlElement(name="BusinessCode",namespace="http://www.huawei.com/bme/cbsinterface/cbscommon")
	public String getBusinessCode() {
		return BusinessCode;
	}
	public void setBusinessCode(String businessCode) {
		BusinessCode = businessCode;
	}
	@XmlElement(name="MessageSeq",namespace="http://www.huawei.com/bme/cbsinterface/cbscommon")
	public String getMessageSeq() {
		return MessageSeq;
	}
	public void setMessageSeq(String messageSeq) {
		MessageSeq = messageSeq;
	}
	@XmlElement(name="OwnershipInfo",namespace="http://www.huawei.com/bme/cbsinterface/cbscommon")
	public OwnershipInfo getOwnershipInfo() {
		return ownershipInfo;
	}
	public void setOwnershipInfo(OwnershipInfo ownershipInfo) {
		this.ownershipInfo = ownershipInfo;
	} 
}
