package th.co.ais.ssbsrfc.instance;

import th.co.ais.ssbsrfc.config.Constant;

public class Stat {
	
	private String currentSubState = null;
	private int sendOrReceive;
	private int responseOrRequest;
	private int type;
	private String message;
	private String command = null;
	private String name = null;
	
	public Stat(String currentSubState, int sendOrReceive, int responseOrRequest) {
		super();
		this.currentSubState = currentSubState;
		this.sendOrReceive = sendOrReceive;
		this.responseOrRequest = responseOrRequest;
		this.type = Constant.TYPE_SUCCESS;
		this.message = "";
	}
	
	public Stat(String currentSubState, int sendOrReceive,
			int responseOrRequest, int type, String message) {
		super();
		this.currentSubState = currentSubState;
		this.sendOrReceive = sendOrReceive;
		this.responseOrRequest = responseOrRequest;
		this.type = type;
		this.message = message;
	}

	public Stat(String currentSubState, int sendOrReceive,
			int responseOrRequest, int type, String message, String command) {
		super();
		this.currentSubState = currentSubState;
		this.sendOrReceive = sendOrReceive;
		this.responseOrRequest = responseOrRequest;
		this.type = type;
		this.message = message;
		this.command = command;
	}
	
	public Stat(String name) {
		super();
		this.name = name;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCurrentSubState() {
		return currentSubState;
	}
	public void setCurrentSubState(String currentSubState) {
		this.currentSubState = currentSubState;
	}
	public int getSendOrReceive() {
		return sendOrReceive;
	}
	public void setSendOrReceive(int sendOrReceive) {
		this.sendOrReceive = sendOrReceive;
	}
	public int getResponseOrRequest() {
		return responseOrRequest;
	}
	public void setResponseOrRequest(int responseOrRequest) {
		this.responseOrRequest = responseOrRequest;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getCommand() {
		return command;
	}

	public void setCommand(String command) {
		this.command = command;
	}
}
