package th.co.ais.ssbsrfc.interfaces;

public interface EQXMsg {
	public String ORIG = "orig";
	
	public String INVOKE = "invoke";
	public String TYPE = "type";
	public String CTYPE = "ctype";
	public String NAME = "name";
	public String OID = "oid";
	public String VAL = "val";
	public String ECODE = "ecode";
	public String URL = "url";
	public String METHOD = "method";
	
	public String OID_CODE = "";
	
	//message
	public String EMPTY = "";
	
	//type
	public String REQUEST = "request";
	public String RESPONSE = "response";
	public String NOREPLY = "noreply";
	
	//ctype
	public String UNKNOWN = "unknown";
	
	//method
	public String POST = "POST";
	public String GET = "GET";
	public String PUT = "PUT";
	public String DELETE = "DELETE";
	
	//http
	public String HTTP = "HTTP";
	public String TEXTPLAIN = "text/plain";
	public String TEXTXML = "text/xml";
	public String TEXTHTML = "text/html";
	public String FILECONTROL = "FILECONTROL";
	public String APPSOAPXML = "application/soap-xml";
	public String SPECIALIZEDRESOURCE = "Specialized-Resource";
	public String RESOURCEREPORT = "Resource-Report";
	public String ONETIMEPASSWORD = "One-Time-Password";
	public String CONFIRMONETIMEPASSWORD = "Confirm-One-Time-Password";
	
	//ldap
	public String LDAP = "LDAP";
	public String SEARCH = "search";
	public String MODIFY = "modify";
//	public String DELETE = "delete";
	public String EXTENDED = "extended";
	public String EXECUTE = "execute";
	
	//smpp
	public String SMPP = "SMPP";
	
	//diameter
	public String DIAMETER = "DIAMETER";	
	
	// type ES00
	public int TYPE_START = 1;
	public int TYPE_FINISH = 2;
	public int TYPE_ERROR = 3;
	
	// state ES00 
	public int STATE_START = 1;
	public int STATE_FINISH = 2;
	
}
