package th.co.ais.ssbsrfc.substate;

import ec02.af.abstracts.AbstractAF;
import ec02.utils.AppLog;
import th.co.ais.ssbsrfc.config.Invoke;
import th.co.ais.ssbsrfc.config.StateConfig;
import th.co.ais.ssbsrfc.instance.AdjustmentRequestIns;
import th.co.ais.ssbsrfc.instance.EC02Instance;
import th.co.ais.ssbsrfc.instance.EQXRawInstance;
import th.co.ais.ssbsrfc.interfaces.EQXMsg;
import th.co.ais.ssbsrfc.message.MessageParser;
import th.co.ais.ssbsrfc.utils.Global;



public class SubMessages {
	
	public static EQXRawInstance getRawAdjustmentRequest(AbstractAF abstractAF, EC02Instance ec02Instancee, String eventType,AdjustmentRequestIns ajr) 
	 {
	  
	  AdjustmentRequestIns ins = ajr;
	  String message = MessageParser.toSoap(ins);
	  EQXRawInstance eqxRaw = new EQXRawInstance();
	  String command = "Test B";
	    String to = Global.getEC02WarmConfig("Resource-Name-SDF");
	    String session = "SESSION";
	    Invoke iv = new Invoke("B",session,command,eventType,null);
	    String invoke = iv.toString();
	  eqxRaw.setMessage(message);
	  eqxRaw.setTo(to);
	  eqxRaw.setInvoke(invoke);
	  eqxRaw.setCtype(EQXMsg.TEXTPLAIN);
	  
	  return eqxRaw;
	 }
	
	public static EQXRawInstance getRawAResponse(AbstractAF abstractAF, EC02Instance ec02Instancee, String to, String invoke,String mag) 
	{
		String message = "Hello";
		String command = "A";
		
		EQXRawInstance eqxRaw = new EQXRawInstance();
		eqxRaw.setMessage(message);
		eqxRaw.setTo(to);
		eqxRaw.setInvoke(invoke);
		eqxRaw.setCtype(EQXMsg.TEXTPLAIN);
		eqxRaw.setCommand(command);
		
		return eqxRaw;
	}
	
	public static EQXRawInstance getRawChargeRequestResponse(AbstractAF abstractAF, EC02Instance ec02Instancee, String to, String invoke,String mag) 
	{
		String message = mag;
		String command = "A";
		
		EQXRawInstance eqxRaw = new EQXRawInstance();
		eqxRaw.setMessage(message);
		eqxRaw.setTo(to);
		eqxRaw.setInvoke(invoke);
		eqxRaw.setCtype(EQXMsg.TEXTPLAIN);
		eqxRaw.setCommand(command);
		
		return eqxRaw;
	}
	
	
	public static EQXRawInstance getRawChargeReportResponse(AbstractAF abstractAF, EC02Instance ec02Instancee, String to, String invoke,String mag) 
	{
		String message = mag;
		String command = "A";
		
		EQXRawInstance eqxRaw = new EQXRawInstance();
		eqxRaw.setMessage(message);
		eqxRaw.setTo(to);
		eqxRaw.setInvoke(invoke);
		eqxRaw.setCtype(EQXMsg.TEXTPLAIN);
		eqxRaw.setCommand(command);
		
		return eqxRaw;
	}
	

}
