package th.co.ais.ssbsrfc.control;

import th.co.ais.ssbsrfc.config.StateConfig;
import th.co.ais.ssbsrfc.state.StateIdle;
import th.co.ais.ssbsrfc.state.StateWaitActive;
import th.co.ais.ssbsrfc.state.StateWaitE11Timeout;
import ec02.af.abstracts.AbstractAFStateManager;

public class StateManager extends AbstractAFStateManager {
	public StateManager(String state) {
		this.afState = null;
		if (state.equals(StateConfig.STATE_IDLE)) {
			this.afState = new StateIdle();
		} else if (state.equals(StateConfig.STATE_ACTIVE)) {
			this.afState = new StateWaitActive();
		} else if (state.equals(StateConfig.STATE_E11_TIMEOUT)) {
			this.afState = new StateWaitE11Timeout();
		}
	}
}
